# -*- coding: iso-8859-1 -*-

import sys
from PySide import QtGui

## Tutoriel PySide.  Prsentation des widgets de base.
## Auteur: Charles-lie Gentil
## Dernire date de MAJ: 14.12.2010


class Frame(QtGui.QWidget):
    def __init__(self, parent=None):
        QtGui.QWidget.__init__(self, parent)
        
        self.resize(600,500) 
        self.setFont(QtGui.QFont("Verdana")) 
        self.setWindowTitle("Prsentation PySide... Chapitre 1 : Prsentation des widgets de base") 
        try:
            self.setWindowIcon(QtGui.Icon("icon.jpg"))
        except:pass

        self.quit_0 = QtGui.QPushButton("Quitter\nsans message", self)
        self.quit_0.setGeometry(490, 450, 100, 30)
        self.quit_0.clicked.connect(quit) 
        
        self.quit_1 = QtGui.QPushButton("Quitter\navec message", self)
        self.quit_1.move(400, 450)
        self.quit_1.clicked.connect(self.close)
        
        self.label_0 = QtGui.QLabel("Ceci est un label", self)
        
        self.lineedit = QtGui.QLineEdit("Ceci est un LineEdit", self)
        self.lineedit.move(0, 25)
        
        self.textedit = QtGui.QTextEdit("Ceci est un TextEdit. Il permet un retour  la ligne dans le widget \
        et la cration d'un assenceur si besoin", self)
        self.textedit.setGeometry(0, 50, 100, 50)
        
        self.btn_0 = QtGui.QPushButton("Action_1", self) 
        self.btn_0.clicked.connect(self.action1) 
        self.btn_0.move(0, 120)
        
        self.btn_2 = QtGui.QPushButton("Centrer la fentre", self)
        self.btn_2.clicked.connect(self.centrer)
        self.btn_2.move(0, 170) 
        
        
    def action1(self):
        self.label_1 = QtGui.QLabel("Vous avez cliquez sur le bouton Action_1", self)
        self.label_1.move(0, 145)
        self.label_1.show()
        self.textedit.setText("Action 1 a t cliqu")
        
        self.btn_1 = QtGui.QPushButton("Action_2", self)
        self.btn_1.move(100, 120)
        self.btn_1.setToolTip("En cliquant ici vous effacerez le texte apparu <b>ET</b> vous supprimerez ce bouton")
        self.btn_1.show()
        self.btn_1.clicked.connect(self.action2)
        
    def action2(self):
        self.label_1.close() 
        self.btn_1.close()
        
    def centrer(self):
        fen = QtGui.QDesktopWidget().screenGeometry()
        size = self.geometry()
        self.move((fen.width()-size.width())/2, (fen.height()-size.height())/2)
        
    def closeEvent(self, event): 
        msg = QtGui.QMessageBox.question(self, "Info", "Voulez vous vraiment quitter l'application?",
                                         QtGui.QMessageBox.Yes, QtGui.QMessageBox.No)
        if msg == QtGui.QMessageBox.Yes:
            event.accept()
        else:
            event.ignore()
        


app = QtGui.QApplication(sys.argv)
frame = Frame()
frame.show()
sys.exit(app.exec_())
